pub(super) static VERSION: Option<&str> = Some(r"2025a");

pub(super) static TZNAME_TO_OFFSET: &[(&str, core::ops::Range<usize>)] = &[
    (r"Africa/Abidjan", 0..130),
    (r"Africa/Accra", 130..260),
    (r"Africa/Addis_Ababa", 260..451),
    (r"Africa/Algiers", 451..921),
    (r"Africa/Asmara", 921..1112),
    (r"Africa/Asmera", 1112..1303),
    (r"Africa/Bamako", 1303..1433),
    (r"Africa/Bangui", 1433..1613),
    (r"Africa/Banjul", 1613..1743),
    (r"Africa/Bissau", 1743..1892),
    (r"Africa/Blantyre", 1892..2023),
    (r"Africa/Brazzaville", 2023..2203),
    (r"Africa/Bujumbura", 2203..2334),
    (r"Africa/Cairo", 2334..3643),
    (r"Africa/Casablanca", 3643..5562),
    (r"Africa/Ceuta", 5562..6124),
    (r"Africa/Conakry", 6124..6254),
    (r"Africa/Dakar", 6254..6384),
    (r"Africa/Dar_es_Salaam", 6384..6575),
    (r"Africa/Djibouti", 6575..6766),
    (r"Africa/Douala", 6766..6946),
    (r"Africa/El_Aaiun", 6946..8776),
    (r"Africa/Freetown", 8776..8906),
    (r"Africa/Gaborone", 8906..9037),
    (r"Africa/Harare", 9037..9168),
    (r"Africa/Johannesburg", 9168..9358),
    (r"Africa/Juba", 9358..9816),
    (r"Africa/Kampala", 9816..10007),
    (r"Africa/Khartoum", 10007..10465),
    (r"Africa/Kigali", 10465..10596),
    (r"Africa/Kinshasa", 10596..10776),
    (r"Africa/Lagos", 10776..10956),
    (r"Africa/Libreville", 10956..11136),
    (r"Africa/Lome", 11136..11266),
    (r"Africa/Luanda", 11266..11446),
    (r"Africa/Lubumbashi", 11446..11577),
    (r"Africa/Lusaka", 11577..11708),
    (r"Africa/Malabo", 11708..11888),
    (r"Africa/Maputo", 11888..12019),
    (r"Africa/Maseru", 12019..12209),
    (r"Africa/Mbabane", 12209..12399),
    (r"Africa/Mogadishu", 12399..12590),
    (r"Africa/Monrovia", 12590..12754),
    (r"Africa/Nairobi", 12754..12945),
    (r"Africa/Ndjamena", 12945..13105),
    (r"Africa/Niamey", 13105..13285),
    (r"Africa/Nouakchott", 13285..13415),
    (r"Africa/Ouagadougou", 13415..13545),
    (r"Africa/Porto-Novo", 13545..13725),
    (r"Africa/Sao_Tome", 13725..13898),
    (r"Africa/Timbuktu", 13898..14028),
    (r"Africa/Tripoli", 14028..14459),
    (r"Africa/Tunis", 14459..14908),
    (r"Africa/Windhoek", 14908..15546),
    (r"America/Adak", 15546..16515),
    (r"America/Anchorage", 16515..17492),
    (r"America/Anguilla", 17492..17669),
    (r"America/Antigua", 17669..17846),
    (r"America/Araguaina", 17846..18438),
    (r"America/Argentina/Buenos_Aires", 18438..19146),
    (r"America/Argentina/Catamarca", 19146..19854),
    (r"America/Argentina/ComodRivadavia", 19854..20562),
    (r"America/Argentina/Cordoba", 20562..21270),
    (r"America/Argentina/Jujuy", 21270..21960),
    (r"America/Argentina/La_Rioja", 21960..22677),
    (r"America/Argentina/Mendoza", 22677..23385),
    (r"America/Argentina/Rio_Gallegos", 23385..24093),
    (r"America/Argentina/Salta", 24093..24783),
    (r"America/Argentina/San_Juan", 24783..25500),
    (r"America/Argentina/San_Luis", 25500..26217),
    (r"America/Argentina/Tucuman", 26217..26943),
    (r"America/Argentina/Ushuaia", 26943..27651),
    (r"America/Aruba", 27651..27828),
    (r"America/Asuncion", 27828..28913),
    (r"America/Atikokan", 28913..29062),
    (r"America/Atka", 29062..30031),
    (r"America/Bahia", 30031..30713),
    (r"America/Bahia_Banderas", 30713..31413),
    (r"America/Barbados", 31413..31691),
    (r"America/Belem", 31691..32085),
    (r"America/Belize", 32085..33130),
    (r"America/Blanc-Sablon", 33130..33307),
    (r"America/Boa_Vista", 33307..33737),
    (r"America/Bogota", 33737..33916),
    (r"America/Boise", 33916..34915),
    (r"America/Buenos_Aires", 34915..35623),
    (r"America/Cambridge_Bay", 35623..36506),
    (r"America/Campo_Grande", 36506..37458),
    (r"America/Cancun", 37458..37996),
    (r"America/Caracas", 37996..38186),
    (r"America/Catamarca", 38186..38894),
    (r"America/Cayenne", 38894..39045),
    (r"America/Cayman", 39045..39194),
    (r"America/Chicago", 39194..40948),
    (r"America/Chihuahua", 40948..41639),
    (r"America/Ciudad_Juarez", 41639..42357),
    (r"America/Coral_Harbour", 42357..42506),
    (r"America/Cordoba", 42506..43214),
    (r"America/Costa_Rica", 43214..43446),
    (r"America/Creston", 43446..43686),
    (r"America/Cuiaba", 43686..44620),
    (r"America/Curacao", 44620..44797),
    (r"America/Danmarkshavn", 44797..45244),
    (r"America/Dawson", 45244..46273),
    (r"America/Dawson_Creek", 46273..46956),
    (r"America/Denver", 46956..47998),
    (r"America/Detroit", 47998..48897),
    (r"America/Dominica", 48897..49074),
    (r"America/Edmonton", 49074..50044),
    (r"America/Eirunepe", 50044..50480),
    (r"America/El_Salvador", 50480..50656),
    (r"America/Ensenada", 50656..51735),
    (r"America/Fort_Nelson", 51735..53183),
    (r"America/Fort_Wayne", 53183..53714),
    (r"America/Fortaleza", 53714..54198),
    (r"America/Glace_Bay", 54198..55078),
    (r"America/Godthab", 55078..56043),
    (r"America/Goose_Bay", 56043..57623),
    (r"America/Grand_Turk", 57623..58476),
    (r"America/Grenada", 58476..58653),
    (r"America/Guadeloupe", 58653..58830),
    (r"America/Guatemala", 58830..59042),
    (r"America/Guayaquil", 59042..59221),
    (r"America/Guyana", 59221..59402),
    (r"America/Halifax", 59402..61074),
    (r"America/Havana", 61074..62191),
    (r"America/Hermosillo", 62191..62449),
    (r"America/Indiana/Indianapolis", 62449..62980),
    (r"America/Indiana/Knox", 62980..63996),
    (r"America/Indiana/Marengo", 63996..64563),
    (r"America/Indiana/Petersburg", 64563..65246),
    (r"America/Indiana/Tell_City", 65246..65768),
    (r"America/Indiana/Vevay", 65768..66137),
    (r"America/Indiana/Vincennes", 66137..66695),
    (r"America/Indiana/Winamac", 66695..67298),
    (r"America/Indianapolis", 67298..67829),
    (r"America/Inuvik", 67829..68646),
    (r"America/Iqaluit", 68646..69501),
    (r"America/Jamaica", 69501..69840),
    (r"America/Jujuy", 69840..70530),
    (r"America/Juneau", 70530..71496),
    (r"America/Kentucky/Louisville", 71496..72738),
    (r"America/Kentucky/Monticello", 72738..73710),
    (r"America/Knox_IN", 73710..74726),
    (r"America/Kralendijk", 74726..74903),
    (r"America/La_Paz", 74903..75073),
    (r"America/Lima", 75073..75356),
    (r"America/Los_Angeles", 75356..76650),
    (r"America/Louisville", 76650..77892),
    (r"America/Lower_Princes", 77892..78069),
    (r"America/Maceio", 78069..78571),
    (r"America/Managua", 78571..78866),
    (r"America/Manaus", 78866..79278),
    (r"America/Marigot", 79278..79455),
    (r"America/Martinique", 79455..79633),
    (r"America/Matamoros", 79633..80070),
    (r"America/Mazatlan", 80070..80760),
    (r"America/Mendoza", 80760..81468),
    (r"America/Menominee", 81468..82385),
    (r"America/Merida", 82385..83039),
    (r"America/Metlakatla", 83039..83625),
    (r"America/Mexico_City", 83625..84398),
    (r"America/Miquelon", 84398..84948),
    (r"America/Moncton", 84948..86441),
    (r"America/Monterrey", 86441..87150),
    (r"America/Montevideo", 87150..88119),
    (r"America/Montreal", 88119..89836),
    (r"America/Montserrat", 89836..90013),
    (r"America/Nassau", 90013..91730),
    (r"America/New_York", 91730..93474),
    (r"America/Nipigon", 93474..95191),
    (r"America/Nome", 95191..96166),
    (r"America/Noronha", 96166..96650),
    (r"America/North_Dakota/Beulah", 96650..97693),
    (r"America/North_Dakota/Center", 97693..98683),
    (r"America/North_Dakota/New_Salem", 98683..99673),
    (r"America/Nuuk", 99673..100638),
    (r"America/Ojinaga", 100638..101356),
    (r"America/Panama", 101356..101505),
    (r"America/Pangnirtung", 101505..102360),
    (r"America/Paramaribo", 102360..102547),
    (r"America/Phoenix", 102547..102787),
    (r"America/Port-au-Prince", 102787..103352),
    (r"America/Port_of_Spain", 103352..103529),
    (r"America/Porto_Acre", 103529..103947),
    (r"America/Porto_Velho", 103947..104341),
    (r"America/Puerto_Rico", 104341..104518),
    (r"America/Punta_Arenas", 104518..105736),
    (r"America/Rainy_River", 105736..107030),
    (r"America/Rankin_Inlet", 107030..107837),
    (r"America/Recife", 107837..108321),
    (r"America/Regina", 108321..108959),
    (r"America/Resolute", 108959..109766),
    (r"America/Rio_Branco", 109766..110184),
    (r"America/Rosario", 110184..110892),
    (r"America/Santa_Isabel", 110892..111971),
    (r"America/Santarem", 111971..112380),
    (r"America/Santiago", 112380..113734),
    (r"America/Santo_Domingo", 113734..114051),
    (r"America/Sao_Paulo", 114051..115003),
    (r"America/Scoresbysund", 115003..115987),
    (r"America/Shiprock", 115987..117029),
    (r"America/Sitka", 117029..117985),
    (r"America/St_Barthelemy", 117985..118162),
    (r"America/St_Johns", 118162..120040),
    (r"America/St_Kitts", 120040..120217),
    (r"America/St_Lucia", 120217..120394),
    (r"America/St_Thomas", 120394..120571),
    (r"America/St_Vincent", 120571..120748),
    (r"America/Swift_Current", 120748..121116),
    (r"America/Tegucigalpa", 121116..121310),
    (r"America/Thule", 121310..121765),
    (r"America/Thunder_Bay", 121765..123482),
    (r"America/Tijuana", 123482..124561),
    (r"America/Toronto", 124561..126278),
    (r"America/Tortola", 126278..126455),
    (r"America/Vancouver", 126455..127785),
    (r"America/Virgin", 127785..127962),
    (r"America/Whitehorse", 127962..128991),
    (r"America/Winnipeg", 128991..130285),
    (r"America/Yakutat", 130285..131231),
    (r"America/Yellowknife", 131231..132201),
    (r"Antarctica/Casey", 132201..132488),
    (r"Antarctica/Davis", 132488..132685),
    (r"Antarctica/DumontDUrville", 132685..132839),
    (r"Antarctica/Macquarie", 132839..133815),
    (r"Antarctica/Mawson", 133815..133967),
    (r"Antarctica/McMurdo", 133967..135010),
    (r"Antarctica/Palmer", 135010..135897),
    (r"Antarctica/Rothera", 135897..136029),
    (r"Antarctica/South_Pole", 136029..137072),
    (r"Antarctica/Syowa", 137072..137205),
    (r"Antarctica/Troll", 137205..137363),
    (r"Antarctica/Vostok", 137363..137533),
    (r"Arctic/Longyearbyen", 137533..138238),
    (r"Asia/Aden", 138238..138371),
    (r"Asia/Almaty", 138371..138989),
    (r"Asia/Amman", 138989..139917),
    (r"Asia/Anadyr", 139917..140660),
    (r"Asia/Aqtau", 140660..141266),
    (r"Asia/Aqtobe", 141266..141881),
    (r"Asia/Ashgabat", 141881..142256),
    (r"Asia/Ashkhabad", 142256..142631),
    (r"Asia/Atyrau", 142631..143247),
    (r"Asia/Baghdad", 143247..143877),
    (r"Asia/Bahrain", 143877..144029),
    (r"Asia/Baku", 144029..144773),
    (r"Asia/Bangkok", 144773..144925),
    (r"Asia/Barnaul", 144925..145678),
    (r"Asia/Beirut", 145678..146410),
    (r"Asia/Bishkek", 146410..147028),
    (r"Asia/Brunei", 147028..147348),
    (r"Asia/Calcutta", 147348..147568),
    (r"Asia/Chita", 147568..148318),
    (r"Asia/Choibalsan", 148318..148912),
    (r"Asia/Chongqing", 148912..149305),
    (r"Asia/Chungking", 149305..149698),
    (r"Asia/Colombo", 149698..149945),
    (r"Asia/Dacca", 149945..150176),
    (r"Asia/Damascus", 150176..151410),
    (r"Asia/Dhaka", 151410..151641),
    (r"Asia/Dili", 151641..151811),
    (r"Asia/Dubai", 151811..151944),
    (r"Asia/Dushanbe", 151944..152310),
    (r"Asia/Famagusta", 152310..153250),
    (r"Asia/Gaza", 153250..156200),
    (r"Asia/Harbin", 156200..156593),
    (r"Asia/Hebron", 156593..159561),
    (r"Asia/Ho_Chi_Minh", 159561..159797),
    (r"Asia/Hong_Kong", 159797..160572),
    (r"Asia/Hovd", 160572..161166),
    (r"Asia/Irkutsk", 161166..161926),
    (r"Asia/Istanbul", 161926..163126),
    (r"Asia/Jakarta", 163126..163374),
    (r"Asia/Jayapura", 163374..163545),
    (r"Asia/Jerusalem", 163545..164619),
    (r"Asia/Kabul", 164619..164778),
    (r"Asia/Kamchatka", 164778..165505),
    (r"Asia/Karachi", 165505..165771),
    (r"Asia/Kashgar", 165771..165904),
    (r"Asia/Kathmandu", 165904..166065),
    (r"Asia/Katmandu", 166065..166226),
    (r"Asia/Khandyga", 166226..167001),
    (r"Asia/Kolkata", 167001..167221),
    (r"Asia/Krasnoyarsk", 167221..167962),
    (r"Asia/Kuala_Lumpur", 167962..168218),
    (r"Asia/Kuching", 168218..168538),
    (r"Asia/Kuwait", 168538..168671),
    (r"Asia/Macao", 168671..169462),
    (r"Asia/Macau", 169462..170253),
    (r"Asia/Magadan", 170253..171004),
    (r"Asia/Makassar", 171004..171194),
    (r"Asia/Manila", 171194..171468),
    (r"Asia/Muscat", 171468..171601),
    (r"Asia/Nicosia", 171601..172198),
    (r"Asia/Novokuznetsk", 172198..172924),
    (r"Asia/Novosibirsk", 172924..173677),
    (r"Asia/Omsk", 173677..174418),
    (r"Asia/Oral", 174418..175043),
    (r"Asia/Phnom_Penh", 175043..175195),
    (r"Asia/Pontianak", 175195..175442),
    (r"Asia/Pyongyang", 175442..175625),
    (r"Asia/Qatar", 175625..175777),
    (r"Asia/Qostanay", 175777..176401),
    (r"Asia/Qyzylorda", 176401..177025),
    (r"Asia/Rangoon", 177025..177212),
    (r"Asia/Riyadh", 177212..177345),
    (r"Asia/Saigon", 177345..177581),
    (r"Asia/Sakhalin", 177581..178336),
    (r"Asia/Samarkand", 178336..178702),
    (r"Asia/Seoul", 178702..179117),
    (r"Asia/Shanghai", 179117..179510),
    (r"Asia/Singapore", 179510..179766),
    (r"Asia/Srednekolymsk", 179766..180508),
    (r"Asia/Taipei", 180508..181019),
    (r"Asia/Tashkent", 181019..181385),
    (r"Asia/Tbilisi", 181385..182014),
    (r"Asia/Tehran", 182014..182826),
    (r"Asia/Tel_Aviv", 182826..183900),
    (r"Asia/Thimbu", 183900..184054),
    (r"Asia/Thimphu", 184054..184208),
    (r"Asia/Tokyo", 184208..184421),
    (r"Asia/Tomsk", 184421..185174),
    (r"Asia/Ujung_Pandang", 185174..185364),
    (r"Asia/Ulaanbaatar", 185364..185958),
    (r"Asia/Ulan_Bator", 185958..186552),
    (r"Asia/Urumqi", 186552..186685),
    (r"Asia/Ust-Nera", 186685..187456),
    (r"Asia/Vientiane", 187456..187608),
    (r"Asia/Vladivostok", 187608..188350),
    (r"Asia/Yakutsk", 188350..189091),
    (r"Asia/Yangon", 189091..189278),
    (r"Asia/Yekaterinburg", 189278..190038),
    (r"Asia/Yerevan", 190038..190746),
    (r"Atlantic/Azores", 190746..192147),
    (r"Atlantic/Bermuda", 192147..193171),
    (r"Atlantic/Canary", 193171..193649),
    (r"Atlantic/Cape_Verde", 193649..193824),
    (r"Atlantic/Faeroe", 193824..194265),
    (r"Atlantic/Faroe", 194265..194706),
    (r"Atlantic/Jan_Mayen", 194706..195411),
    (r"Atlantic/Madeira", 195411..196783),
    (r"Atlantic/Reykjavik", 196783..196913),
    (r"Atlantic/South_Georgia", 196913..197045),
    (r"Atlantic/St_Helena", 197045..197175),
    (r"Atlantic/Stanley", 197175..197964),
    (r"Australia/ACT", 197964..198868),
    (r"Australia/Adelaide", 198868..199789),
    (r"Australia/Brisbane", 199789..200078),
    (r"Australia/Broken_Hill", 200078..201019),
    (r"Australia/Canberra", 201019..201923),
    (r"Australia/Currie", 201923..202926),
    (r"Australia/Darwin", 202926..203160),
    (r"Australia/Eucla", 203160..203474),
    (r"Australia/Hobart", 203474..204477),
    (r"Australia/LHI", 204477..205169),
    (r"Australia/Lindeman", 205169..205494),
    (r"Australia/Lord_Howe", 205494..206186),
    (r"Australia/Melbourne", 206186..207090),
    (r"Australia/North", 207994..208228),
    (r"Australia/NSW", 207090..207994),
    (r"Australia/Perth", 208228..208534),
    (r"Australia/Queensland", 208534..208823),
    (r"Australia/South", 208823..209744),
    (r"Australia/Sydney", 209744..210648),
    (r"Australia/Tasmania", 210648..211651),
    (r"Australia/Victoria", 211651..212555),
    (r"Australia/West", 212555..212861),
    (r"Australia/Yancowinna", 212861..213802),
    (r"Brazil/Acre", 213802..214220),
    (r"Brazil/DeNoronha", 214220..214704),
    (r"Brazil/East", 214704..215656),
    (r"Brazil/West", 215656..216068),
    (r"Canada/Atlantic", 218925..220597),
    (r"Canada/Central", 220597..221891),
    (r"Canada/Eastern", 221891..223608),
    (r"Canada/Mountain", 223608..224578),
    (r"Canada/Newfoundland", 224578..226456),
    (r"Canada/Pacific", 226456..227786),
    (r"Canada/Saskatchewan", 227786..228424),
    (r"Canada/Yukon", 228424..229453),
    (r"CET", 216068..217171),
    (r"Chile/Continental", 229453..230807),
    (r"Chile/EasterIsland", 230807..231981),
    (r"CST6CDT", 217171..218925),
    (r"Cuba", 231981..233098),
    (r"EET", 233098..233780),
    (r"Egypt", 235673..236982),
    (r"Eire", 236982..238478),
    (r"EST", 233780..233929),
    (r"EST5EDT", 233929..235673),
    (r"Etc/GMT", 238478..238589),
    (r"Etc/GMT+0", 238589..238700),
    (r"Etc/GMT+1", 238700..238813),
    (r"Etc/GMT+10", 238813..238927),
    (r"Etc/GMT+11", 238927..239041),
    (r"Etc/GMT+12", 239041..239155),
    (r"Etc/GMT+2", 239155..239268),
    (r"Etc/GMT+3", 239268..239381),
    (r"Etc/GMT+4", 239381..239494),
    (r"Etc/GMT+5", 239494..239607),
    (r"Etc/GMT+6", 239607..239720),
    (r"Etc/GMT+7", 239720..239833),
    (r"Etc/GMT+8", 239833..239946),
    (r"Etc/GMT+9", 239946..240059),
    (r"Etc/GMT-0", 240059..240170),
    (r"Etc/GMT-1", 240170..240284),
    (r"Etc/GMT-10", 240284..240399),
    (r"Etc/GMT-11", 240399..240514),
    (r"Etc/GMT-12", 240514..240629),
    (r"Etc/GMT-13", 240629..240744),
    (r"Etc/GMT-14", 240744..240859),
    (r"Etc/GMT-2", 240859..240973),
    (r"Etc/GMT-3", 240973..241087),
    (r"Etc/GMT-4", 241087..241201),
    (r"Etc/GMT-5", 241201..241315),
    (r"Etc/GMT-6", 241315..241429),
    (r"Etc/GMT-7", 241429..241543),
    (r"Etc/GMT-8", 241543..241657),
    (r"Etc/GMT-9", 241657..241771),
    (r"Etc/GMT0", 241771..241882),
    (r"Etc/Greenwich", 241882..241993),
    (r"Etc/UCT", 241993..242104),
    (r"Etc/Universal", 242215..242326),
    (r"Etc/UTC", 242104..242215),
    (r"Etc/Zulu", 242326..242437),
    (r"Europe/Amsterdam", 242437..243540),
    (r"Europe/Andorra", 243540..243929),
    (r"Europe/Astrakhan", 243929..244655),
    (r"Europe/Athens", 244655..245337),
    (r"Europe/Belfast", 245337..246936),
    (r"Europe/Belgrade", 246936..247414),
    (r"Europe/Berlin", 247414..248119),
    (r"Europe/Bratislava", 248119..248842),
    (r"Europe/Brussels", 248842..249945),
    (r"Europe/Bucharest", 249945..250606),
    (r"Europe/Budapest", 250606..251372),
    (r"Europe/Busingen", 251372..251869),
    (r"Europe/Chisinau", 251869..252624),
    (r"Europe/Copenhagen", 252624..253329),
    (r"Europe/Dublin", 253329..254825),
    (r"Europe/Gibraltar", 254825..256045),
    (r"Europe/Guernsey", 256045..257644),
    (r"Europe/Helsinki", 257644..258125),
    (r"Europe/Isle_of_Man", 258125..259724),
    (r"Europe/Istanbul", 259724..260924),
    (r"Europe/Jersey", 260924..262523),
    (r"Europe/Kaliningrad", 262523..263427),
    (r"Europe/Kiev", 263427..263985),
    (r"Europe/Kirov", 263985..264720),
    (r"Europe/Kyiv", 264720..265278),
    (r"Europe/Lisbon", 265278..266741),
    (r"Europe/Ljubljana", 266741..267219),
    (r"Europe/London", 267219..268818),
    (r"Europe/Luxembourg", 268818..269921),
    (r"Europe/Madrid", 269921..270818),
    (r"Europe/Malta", 270818..271746),
    (r"Europe/Mariehamn", 271746..272227),
    (r"Europe/Minsk", 272227..273035),
    (r"Europe/Monaco", 273035..274140),
    (r"Europe/Moscow", 274140..275048),
    (r"Europe/Nicosia", 275048..275645),
    (r"Europe/Oslo", 275645..276350),
    (r"Europe/Paris", 276350..277455),
    (r"Europe/Podgorica", 277455..277933),
    (r"Europe/Prague", 277933..278656),
    (r"Europe/Riga", 278656..279350),
    (r"Europe/Rome", 279350..280297),
    (r"Europe/Samara", 280297..281029),
    (r"Europe/San_Marino", 281029..281976),
    (r"Europe/Sarajevo", 281976..282454),
    (r"Europe/Saratov", 282454..283180),
    (r"Europe/Simferopol", 283180..284045),
    (r"Europe/Skopje", 284045..284523),
    (r"Europe/Sofia", 284523..285115),
    (r"Europe/Stockholm", 285115..285820),
    (r"Europe/Tallinn", 285820..286495),
    (r"Europe/Tirane", 286495..287099),
    (r"Europe/Tiraspol", 287099..287854),
    (r"Europe/Ulyanovsk", 287854..288614),
    (r"Europe/Uzhgorod", 288614..289172),
    (r"Europe/Vaduz", 289172..289669),
    (r"Europe/Vatican", 289669..290616),
    (r"Europe/Vienna", 290616..291274),
    (r"Europe/Vilnius", 291274..291950),
    (r"Europe/Volgograd", 291950..292703),
    (r"Europe/Warsaw", 292703..293626),
    (r"Europe/Zagreb", 293626..294104),
    (r"Europe/Zaporozhye", 294104..294662),
    (r"Europe/Zurich", 294662..295159),
    (r"Factory", 295159..295272),
    (r"GB", 295272..296871),
    (r"GB-Eire", 296871..298470),
    (r"GMT", 298470..298581),
    (r"GMT+0", 298581..298692),
    (r"GMT-0", 298692..298803),
    (r"GMT0", 298803..298914),
    (r"Greenwich", 298914..299025),
    (r"Hongkong", 299246..300021),
    (r"HST", 299025..299246),
    (r"Iceland", 300021..300151),
    (r"Indian/Antananarivo", 300151..300342),
    (r"Indian/Chagos", 300342..300494),
    (r"Indian/Christmas", 300494..300646),
    (r"Indian/Cocos", 300646..300833),
    (r"Indian/Comoro", 300833..301024),
    (r"Indian/Kerguelen", 301024..301176),
    (r"Indian/Mahe", 301176..301309),
    (r"Indian/Maldives", 301309..301461),
    (r"Indian/Mauritius", 301461..301640),
    (r"Indian/Mayotte", 301640..301831),
    (r"Indian/Reunion", 301831..301964),
    (r"Iran", 301964..302776),
    (r"Israel", 302776..303850),
    (r"Jamaica", 303850..304189),
    (r"Japan", 304189..304402),
    (r"Kwajalein", 304402..304621),
    (r"Libya", 304621..305052),
    (r"MET", 305052..306155),
    (r"Mexico/BajaNorte", 307437..308516),
    (r"Mexico/BajaSur", 308516..309206),
    (r"Mexico/General", 309206..309979),
    (r"MST", 306155..306395),
    (r"MST7MDT", 306395..307437),
    (r"Navajo", 311830..312872),
    (r"NZ", 309979..311022),
    (r"NZ-CHAT", 311022..311830),
    (r"Pacific/Apia", 314559..314966),
    (r"Pacific/Auckland", 314966..316009),
    (r"Pacific/Bougainville", 316009..316210),
    (r"Pacific/Chatham", 316210..317018),
    (r"Pacific/Chuuk", 317018..317172),
    (r"Pacific/Easter", 317172..318346),
    (r"Pacific/Efate", 318346..318688),
    (r"Pacific/Enderbury", 318688..318860),
    (r"Pacific/Fakaofo", 318860..319013),
    (r"Pacific/Fiji", 319013..319409),
    (r"Pacific/Funafuti", 319409..319543),
    (r"Pacific/Galapagos", 319543..319718),
    (r"Pacific/Gambier", 319718..319850),
    (r"Pacific/Guadalcanal", 319850..319984),
    (r"Pacific/Guam", 319984..320334),
    (r"Pacific/Honolulu", 320334..320555),
    (r"Pacific/Johnston", 320555..320776),
    (r"Pacific/Kanton", 320776..320948),
    (r"Pacific/Kiritimati", 320948..321122),
    (r"Pacific/Kosrae", 321122..321364),
    (r"Pacific/Kwajalein", 321364..321583),
    (r"Pacific/Majuro", 321583..321717),
    (r"Pacific/Marquesas", 321717..321856),
    (r"Pacific/Midway", 321856..322002),
    (r"Pacific/Nauru", 322002..322185),
    (r"Pacific/Niue", 322185..322339),
    (r"Pacific/Norfolk", 322339..322576),
    (r"Pacific/Noumea", 322576..322774),
    (r"Pacific/Pago_Pago", 322774..322920),
    (r"Pacific/Palau", 322920..323068),
    (r"Pacific/Pitcairn", 323068..323221),
    (r"Pacific/Pohnpei", 323221..323355),
    (r"Pacific/Ponape", 323355..323489),
    (r"Pacific/Port_Moresby", 323489..323643),
    (r"Pacific/Rarotonga", 323643..324049),
    (r"Pacific/Saipan", 324049..324399),
    (r"Pacific/Samoa", 324399..324545),
    (r"Pacific/Tahiti", 324545..324678),
    (r"Pacific/Tarawa", 324678..324812),
    (r"Pacific/Tongatapu", 324812..325049),
    (r"Pacific/Truk", 325049..325203),
    (r"Pacific/Wake", 325203..325337),
    (r"Pacific/Wallis", 325337..325471),
    (r"Pacific/Yap", 325471..325625),
    (r"Poland", 325625..326548),
    (r"Portugal", 326548..328011),
    (r"PRC", 312872..313265),
    (r"PST8PDT", 313265..314559),
    (r"ROC", 328011..328522),
    (r"ROK", 328522..328937),
    (r"Singapore", 328937..329193),
    (r"Turkey", 329193..330393),
    (r"UCT", 330393..330504),
    (r"Universal", 341448..341559),
    (r"US/Alaska", 330504..331481),
    (r"US/Aleutian", 331481..332450),
    (r"US/Arizona", 332450..332690),
    (r"US/Central", 332690..334444),
    (r"US/East-Indiana", 334444..334975),
    (r"US/Eastern", 334975..336719),
    (r"US/Hawaii", 336719..336940),
    (r"US/Indiana-Starke", 336940..337956),
    (r"US/Michigan", 337956..338855),
    (r"US/Mountain", 338855..339897),
    (r"US/Pacific", 339897..341191),
    (r"US/Samoa", 341191..341337),
    (r"UTC", 341337..341448),
    (r"W-SU", 341559..342467),
    (r"WET", 342467..343930),
    (r"Zulu", 343930..344041),
];
